=== skins/Makefile ===
.SILENT:

include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = Default Classic TinyPlayer Osmosis Ivory

include ../mk/objective.mk
