=== audacious/glade/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

gladexmldir = $(pkgdatadir)/glade

OBJECTIVE_DATA = \
	fileinfo.glade:$(gladexmldir) \
	fileinfo_popup.glade:$(gladexmldir) \
	prefswin.glade:$(gladexmldir) \
	addfiles.glade:$(gladexmldir)

include ../../mk/objective.mk
