=== audacious/images/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

imagesdir = $(pkgdatadir)/images

OBJECTIVE_DATA = \
	about-logo.png:$(imagesdir) \
	audacious_player.xpm:$(imagesdir) \
	appearance.png:$(imagesdir) \
	audio.png:$(imagesdir) \
	connectivity.png:$(imagesdir) \
	mouse.png:$(imagesdir) \
	playlist.png:$(imagesdir) \
	plugins.png:$(imagesdir) \
	eq.png:$(imagesdir)

include ../../mk/objective.mk
