=== skins/Default/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

skindir = $(pkgdatadir)/Skins/Default

OBJECTIVE_DATA = \
	balance.png:$(skindir)		\
	cbuttons.png:$(skindir)		\
	eq_ex.png:$(skindir)		\
	eqmain.png:$(skindir)		\
	main.png:$(skindir)		\
	monoster.png:$(skindir)		\
	nums_ex.png:$(skindir)		\
	playpaus.png:$(skindir)		\
	pledit.png:$(skindir)		\
	posbar.png:$(skindir)		\
	shufrep.png:$(skindir)		\
	text.png:$(skindir)		\
	titlebar.png:$(skindir)		\
	volume.png:$(skindir)		\
	pledit.txt:$(skindir)		\
	viscolor.txt:$(skindir)		\
	skin.hints:$(skindir)

include ../../mk/objective.mk
