## audacious 1.5.0

=== Makefile ===
SUBDIRS = src man pixmaps po
DATA = Skins/Classic/balance.png	\
       Skins/Classic/cbuttons.png	\
       Skins/Classic/eq_ex.png		\
       Skins/Classic/eqmain.png		\
       Skins/Classic/main.png		\
       Skins/Classic/monoster.png	\
       Skins/Classic/nums_ex.png	\
       Skins/Classic/playpaus.png	\
       Skins/Classic/pledit.png		\
       Skins/Classic/pledit.txt		\
       Skins/Classic/posbar.png		\
       Skins/Classic/shufrep.png	\
       Skins/Classic/skin-classic.hints	\
       Skins/Classic/skin.hints		\
       Skins/Classic/text.png		\
       Skins/Classic/titlebar.png	\
       Skins/Classic/viscolor.txt	\
       Skins/Classic/volume.png		\
       Skins/Classic1.3/balance.png	\
       Skins/Classic1.3/cbuttons.png	\
       Skins/Classic1.3/eq_ex.png		\
       Skins/Classic1.3/eqmain.png		\
       Skins/Classic1.3/main.png		\
       Skins/Classic1.3/monoster.png	\
       Skins/Classic1.3/nums_ex.png	\
       Skins/Classic1.3/playpaus.png	\
       Skins/Classic1.3/pledit.png		\
       Skins/Classic1.3/pledit.txt		\
       Skins/Classic1.3/posbar.png		\
       Skins/Classic1.3/shufrep.png	\
       Skins/Classic1.3/skin-classic.hints	\
       Skins/Classic1.3/skin.hints		\
       Skins/Classic1.3/text.png		\
       Skins/Classic1.3/titlebar.png	\
       Skins/Classic1.3/viscolor.txt	\
       Skins/Classic1.3/volume.png		\
       Skins/Default/cbuttons.png	\
       Skins/Default/eq_ex.png		\
       Skins/Default/eqmain.png		\
       Skins/Default/main.png		\
       Skins/Default/monoster.png	\
       Skins/Default/nums_ex.png	\
       Skins/Default/playpaus.png	\
       Skins/Default/pledit.png		\
       Skins/Default/pledit.txt		\
       Skins/Default/posbar.png		\
       Skins/Default/shufrep.png	\
       Skins/Default/skin.hints		\
       Skins/Default/text.png		\
       Skins/Default/titlebar.png	\
       Skins/Default/viscolor.txt	\
       Skins/Default/volume.png		\
       Skins/Default/gtk-2.0/Arrows/arrow-down.png \
       Skins/Default/gtk-2.0/Arrows/arrow-insens.png \
       Skins/Default/gtk-2.0/Arrows/arrow-left.png \
       Skins/Default/gtk-2.0/Arrows/arrow-right.png \
       Skins/Default/gtk-2.0/Arrows/arrow-up.png \
       Skins/Default/gtk-2.0/Buttons/button-insensitive.png \
       Skins/Default/gtk-2.0/Buttons/button-normal.png \
       Skins/Default/gtk-2.0/Buttons/button-prelight.png \
       Skins/Default/gtk-2.0/Check-Radio/check1.png \
       Skins/Default/gtk-2.0/Check-Radio/check2.png \
       Skins/Default/gtk-2.0/Check-Radio/check3.png \
       Skins/Default/gtk-2.0/Check-Radio/check4.png \
       Skins/Default/gtk-2.0/Check-Radio/check5.png \
       Skins/Default/gtk-2.0/Check-Radio/check6.png \
       Skins/Default/gtk-2.0/Check-Radio/option1.png \
       Skins/Default/gtk-2.0/Check-Radio/option2.png \
       Skins/Default/gtk-2.0/Check-Radio/option3.png \
       Skins/Default/gtk-2.0/Check-Radio/option4.png \
       Skins/Default/gtk-2.0/Check-Radio/option5.png \
       Skins/Default/gtk-2.0/Check-Radio/option6.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame-gap-end.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame-gap-start.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame.png \
       Skins/Default/gtk-2.0/Handles/handle-h.png \
       Skins/Default/gtk-2.0/Handles/handle-v.png \
       Skins/Default/gtk-2.0/Lines/line-h.png \
       Skins/Default/gtk-2.0/Lines/line-v.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-insens.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-prelight.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-pressed.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menu.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar-item-active.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar-item.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar.png \
       Skins/Default/gtk-2.0/Others/null.png \
       Skins/Default/gtk-2.0/Others/ruler.png \
       Skins/Default/gtk-2.0/Panel/panel-bg.png \
       Skins/Default/gtk-2.0/ProgressBar/progressbar-horiz.png \
       Skins/Default/gtk-2.0/ProgressBar/trough-progressbar-horiz.png \
       Skins/Default/gtk-2.0/Range/slider-horiz-prelight.png \
       Skins/Default/gtk-2.0/Range/slider-horiz.png \
       Skins/Default/gtk-2.0/Range/slider-vert-prelight.png \
       Skins/Default/gtk-2.0/Range/slider-vert.png \
       Skins/Default/gtk-2.0/Range/trough-horizontal.png \
       Skins/Default/gtk-2.0/Range/trough-vertical.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-horiz-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-vert-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-vert.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-horiz-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-vert-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-vert.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-down-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-down.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-left-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-left.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-right-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-right.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-up-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-up.png \
       Skins/Default/gtk-2.0/Scrollbars/trough-scrollbar-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/trough-scrollbar-vert.png \
       Skins/Default/gtk-2.0/Shadows/shadow-in.png \
       Skins/Default/gtk-2.0/Shadows/shadow-out.png \
       Skins/Default/gtk-2.0/Shadows/text-.png \
       Skins/Default/gtk-2.0/Shadows/text-entry.png \
       Skins/Default/gtk-2.0/Spin/spin-down-disable.png \
       Skins/Default/gtk-2.0/Spin/spin-down-prelight.png \
       Skins/Default/gtk-2.0/Spin/spin-down.png \
       Skins/Default/gtk-2.0/Spin/spin-up-disable.png \
       Skins/Default/gtk-2.0/Spin/spin-up-prelight.png \
       Skins/Default/gtk-2.0/Spin/spin-up.png \
       Skins/Default/gtk-2.0/Tabs/gap-bottom-left.png \
       Skins/Default/gtk-2.0/Tabs/gap-bottom-right.png \
       Skins/Default/gtk-2.0/Tabs/gap-left-bottom.png \
       Skins/Default/gtk-2.0/Tabs/gap-left-top.png \
       Skins/Default/gtk-2.0/Tabs/gap-right-bottom.png \
       Skins/Default/gtk-2.0/Tabs/gap-right-top.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-current.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-left.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-right.png \
       Skins/Default/gtk-2.0/Tabs/notebook.png \
       Skins/Default/gtk-2.0/Tabs/tab-bottom-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-bottom.png \
       Skins/Default/gtk-2.0/Tabs/tab-left-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-left.png \
       Skins/Default/gtk-2.0/Tabs/tab-right-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-right.png \
       Skins/Default/gtk-2.0/Tabs/tab-top-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-top.png \
       Skins/Default/gtk-2.0/Toolbar/toolbar.png \
       Skins/Default/gtk-2.0/gtkrc \
       Skins/Default/gtk-2.0/panel.rc \
       Skins/Ivory/balance.png		\
       Skins/Ivory/cbuttons.png		\
       Skins/Ivory/eq_ex.png		\
       Skins/Ivory/eqmain.png		\
       Skins/Ivory/main.png		\
       Skins/Ivory/monoster.png		\
       Skins/Ivory/nums_ex.png		\
       Skins/Ivory/playpaus.png		\
       Skins/Ivory/pledit.png		\
       Skins/Ivory/pledit.txt		\
       Skins/Ivory/posbar.png		\
       Skins/Ivory/shufrep.png		\
       Skins/Ivory/skin.hints		\
       Skins/Ivory/text.png		\
       Skins/Ivory/titlebar.png		\
       Skins/Ivory/viscolor.txt		\
       Skins/Ivory/volume.png		\
       Skins/Osmosis/balance.png	\
       Skins/Osmosis/cbuttons.png	\
       Skins/Osmosis/eq_ex.png		\
       Skins/Osmosis/eqmain.png		\
       Skins/Osmosis/main.png		\
       Skins/Osmosis/monoster.png	\
       Skins/Osmosis/nums_ex.png	\
       Skins/Osmosis/playpaus.png	\
       Skins/Osmosis/pledit.png		\
       Skins/Osmosis/pledit.txt		\
       Skins/Osmosis/posbar.png		\
       Skins/Osmosis/shufrep.png	\
       Skins/Osmosis/skin.hints		\
       Skins/Osmosis/text.png		\
       Skins/Osmosis/titlebar.png	\
       Skins/Osmosis/viscolor.txt	\
       Skins/Osmosis/volume.png		\
       Skins/TinyPlayer/balance.png	\
       Skins/TinyPlayer/cbuttons.png	\
       Skins/TinyPlayer/eq_ex.png	\
       Skins/TinyPlayer/eqmain.png	\
       Skins/TinyPlayer/main.png	\
       Skins/TinyPlayer/monoster.png	\
       Skins/TinyPlayer/nums_ex.png	\
       Skins/TinyPlayer/playpaus.png	\
       Skins/TinyPlayer/pledit.png	\
       Skins/TinyPlayer/pledit.txt	\
       Skins/TinyPlayer/posbar.png	\
       Skins/TinyPlayer/shufrep.png	\
       Skins/TinyPlayer/skin.hints	\
       Skins/TinyPlayer/text.png	\
       Skins/TinyPlayer/titlebar.png	\
       Skins/TinyPlayer/viscolor.txt	\
       Skins/TinyPlayer/volume.png	\
       Skins/Refugee/cbuttons.png	\
       Skins/Refugee/eq_ex.png		\
       Skins/Refugee/eqmain.png		\
       Skins/Refugee/main.png		\
       Skins/Refugee/monoster.png	\
       Skins/Refugee/nums_ex.png	\
       Skins/Refugee/playpaus.png	\
       Skins/Refugee/pledit.png		\
       Skins/Refugee/pledit.txt		\
       Skins/Refugee/posbar.png		\
       Skins/Refugee/shufrep.png	\
       Skins/Refugee/skin.hints		\
       Skins/Refugee/text.png		\
       Skins/Refugee/titlebar.png	\
       Skins/Refugee/viscolor.txt	\
       Skins/Refugee/volume.png

DISTCLEAN = extra.mk

include buildsys.mk

install-extra:
	for i in audacious.pc audclient.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datadir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datadir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc audclient.pc; do \
		if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
			if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious.desktop; do \
		if test -f ${DESTDIR}${datadir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datadir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done
