=== debian/changelog ===
audacious (2.3-2) unstable; urgency=low

  [Chris Taylor]
  * Update debian/copyright.
  * Upload to unstable.

  [Benjamin Drung]
  * Enable parallel build.
  * Disable SSE2 on i386 (LP: #562713).
  * Add new SVG icon created by Daniel Fore (LP: #563043).
  * Rename icons from audacious2 to audacious.
  * Install versionless symlinks audacious and audtool.

 -- Chris Taylor <ctaylor@debian.org>  Mon, 10 May 2010 18:06:12 -0700

audacious (2.3-1) experimental; urgency=low

  [ Chris Taylor ]
  * New uploader.
  * New upstream release. 
    - (Closes: #559055, #531214, #497769, #534113, #567839, #491615, #500634)
    - (Closes: #512911, #543449, #543561, #550550, #561826) 
  * Use source format 3.0 (quilt)
  * Use dh7 in debian/rules
  * Remove libsad* from packaging.
    - Add replaces in debian/control
  * Remove libaudutil* from packaging.
    - Add replaces in debian/control.
  * Add libaudtag and libaudgui to libaudcore1.
  * Bump standards-version.
  * Update debian/copyright.

  [ Benjamin Drung ]
  * Bump libmcs-dev version to >= 0.7 (Closes: #508630).
  * Change build id from UNSUPPORTED VERSION to <vendor> package
   (Closes: #572773).
  * Add symbol files for libraries.
  * Various cleanups.

 -- Chris Taylor <ctaylor@debian.org>  Fri, 02 Apr 2010 21:37:21 +0000

audacious (2.1-1) unstable; urgency=low

  * New upstream release.
    - Do not set the system volume at startup.  (Closes: #531831)
    - Don't crash on control-c in certain situations.  (Closes: #531823)
    - Fix 'stop after current song' behaviour.  (Closes: #471553)

  * debian/patches/003-change-default-skin.patch: dropped.
  * debian/control: Add dbus-x11 dependency.  (Closes: #503427)

 -- William Pitcock <nenolod@dereferenced.org>  Tue, 07 Jul 2009 20:29:37 -0500

audacious (2.0.1-1) unstable; urgency=low

  [ William Pitcock ]
  * New upstream release.
  * debian/patches/audacious-play-files-from-commandline.patch: dropped
  * debian/patches/bugzilla-42.patch: dropped

  [ John Lindgren ]
  * Fix improper behaviour when the file info dialog is closed.
    (Closes: #495427)
  * Fix crash with 'audtool help playback-seek-relative'.
    (Closes: #512910)
  * Fix some problems seeking while paused.
    (Closes: #517692)
  * Fix behaviour of -t argument when Audacious is not already running.
    (Closes: #497602)

  [ Andrew O. Shadoura ]
  * Include track number in MPRIS exported metadata.
    (Closes: #514426)

  [ Benjamin Drung ]
  * debian/patches/003-change-default-skin.patch: Corrected path
    (skins -> Skins)

 -- William Pitcock <nenolod@dereferenced.org>  Fri, 29 May 2009 21:25:03 -0500

audacious (1.5.1-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * debian/rules: Do not disable SSE2 on x86_64, because all x86_64 CPUs support
    SSE2.
  * debian/control: cosmetic improvements

  [ William Pitcock ]
  * debian/patches/audacious-play-files-from-command-line.patch: Make adding
    files from the command line work. Thanks Stefan Ott! (Closes: #491043)
  * debian/patches/bugzilla-42.patch: Fix a bunch of crappy bugs in the
    playlist code. (Closes: #491655, #491097).

 -- William Pitcock <nenolod@dereferenced.org>  Fri, 29 Aug 2008 15:56:58 -0500

audacious (1.5.1-3) unstable; urgency=medium

  * Change dependency relations to make the package installable.
    (Closes: #491699, #491910).

 -- William Pitcock <nenolod@dereferenced.org>  Sun, 20 Jul 2008 23:10:13 -0500

audacious (1.5.1-2) unstable; urgency=medium

  * Build without SSE2 support where appropriate.
    (Closes: #471061, #489037).
  * Strengthen dependency on audacious-plugins to enforce correct
    plugin version usage due to an ABI break.
    (Closes: #489958, #486543, #489217).
  * Make sure that libaudclient1 and libaudid3tag1 are updated to matching
    versions so that the private interfaces match up correctly, by Depending
    on them in audacious.
  * debian/control: Bump to Standards-Version 3.8.0; no changes required.

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 17 Jul 2008 20:10:07 -0500

audacious (1.5.1-1) unstable; urgency=low

  * New upstream release, highlights include (Closes: #483095):
    - On UNIX platforms, add a dbus dependency in audacious/audclient.pc.
      (Closes: #469055)
    - Remove Reload Plugins feature.
      (Closes: #480202)
    - Scaling feature has been reset back to the old scaling ratio.
      (Closes: #471040)
  * Move to team maintainance, like in audacious-plugins.
  * Packaging improvements:
    - debian/control: fix description of audacious-dev package, libaudacious
      was dropped a long time ago and replaced with libaudclient.
      (Closes: #475142)
    - debian/control: make sure dependency relations cannot cause a cyclic
      error. (Closes: #461511)
    - debian/control: add audacious-dbg package. Please install this before
      reporting segfaults, it makes correcting them much easier for me.
    - debian/control: update my e-mail address
    - debian/control, debian/rules, debian/patches/*: switch to Quilt.
    - debian/patches/003-change-default-skin.patch: rebased against 1.5.1.

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 05 Jun 2008 23:07:17 -0500

audacious (1.5.0-2) unstable; urgency=low

  * Configure without SSE2 support (Closes: #471061).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 26 Mar 2008 09:45:26 +0100

audacious (1.5.0-1) unstable; urgency=low

  * New upstream release, highlights include:
    - Provide the correct location for skins and configuration in
      documentation.
      (Closes: #430905)
  * debian/control:
    - Correct Build-Depends so that it won't try to incorrectly build on Etch.
      (Closes: #466518)
    - Bump Depends to force dependency on audacious-plugins 1.5.
  * debian/copyright: major updates

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Thu, 13 Mar 2008 21:19:05 -0500

audacious (1.4.6-2) unstable; urgency=low

  * Fix D-Bus related breakage by depending on dbus itself.

